Summary:    IBM Cell Data Communication and Synchronization (DaCS) Library
Name:       dacs
Version:    3.0.0
Release:    19
Group:      Cell Runtime Environment
Vendor:     IBM Corporation
Distribution:	IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     %{name}.tgz
AutoReqProv: no
Buildroot:  %{_tmppath}/%{BUILDsubdir}
%define __strip /opt/cell/toolchain/bin/ppu-strip
%define __objdump /opt/cell/toolchain/bin/ppu-objdump

%define BUILDsubdir      %{name}-%{version}-%{release}

# The following keeps RPM from segfaulting when it has links in the install list (grr...)
%define _use_internal_dependency_generator     0

%description
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) runtime Libraries


%package -n dacs-devel
Summary: IBM Cell Data Communication and Synchronization (DaCS) Libraries and Headers
Group: Cell Development Libraries
Requires: %{name} = %{version}

%description -n dacs-devel
The Cell SDK DaCS package  contains Data Communication and Synchronization
(DaCS) libraries and Headers
needed to build DaCS enabled code.

%prep
%setup -q -c -n %{BUILDsubdir}

%build
export DACS_ON_CELL=1
rm -rf $RPM_BUILD_ROOT
cd cell
make
# now make the error checking libraries
make DEBUG=1 clean && make DEBUG=1

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/spu/include
ls $RPM_BUILD_ROOT/usr/spu/include
mkdir -p $RPM_BUILD_ROOT/usr/lib64/dacs/debug
mkdir -p $RPM_BUILD_ROOT/usr/spu/lib/dacs/debug

# Copy the libraries to their final resting place
cp -r cell/install/{spu,lib64} $RPM_BUILD_ROOT/usr

# Copy the headers to their final resting place
cp include/dacs.h            $RPM_BUILD_ROOT/usr/include

#create the symbolic links in /usr/spu/include
cd $RPM_BUILD_ROOT/usr/spu/include
ln -s ../../include/dacs.h dacs.h

%post -n %{name}
/sbin/ldconfig
exit 0

%postun -n %{name}
/sbin/ldconfig
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/lib64/libdacs.so\.*

%files -n dacs-devel
%defattr(-,root,root)
/usr/lib64/libdacs.so
/usr/lib64/libdacs.a
/usr/lib64/dacs/debug
/usr/spu/lib/libdacs.a
/usr/spu/lib/dacs/debug
/usr/include/dacs*
/usr/spu/include/dacs*

